Summary:   Event-based framework for internet applications
Name:      python-twisted
Version:   13.1.0
Release:   %mkrel 4
License:   MIT
Group:     Development/Python
URL:       http://www.twistedmatrix.com/
Requires:  python-twisted-conch 
Requires:  python-twisted-lore 
Requires:  python-twisted-mail 
Requires:  python-twisted-names  
Requires:  python-twisted-news 
Requires:  python-twisted-runner 
Requires:  python-twisted-web 
Requires:  python-twisted-words 
BuildArch: noarch
# add the pythonegg provides manually as this is a meta package, so the rpm auto-provides
# scripts won't work here
Provides:  pythonegg(twisted)
Provides:  pythonegg(2)(twisted)
Provides:  pythonegg(3)(twisted)

%description
Twisted is a framework, written in Python, for writing networked
applications. It includes implementations of a number of commonly used
network services such as a web server, an IRC chat server, a mail
server, a relational database interface and an object broker. Developers
can build applications using all of these services as well as custom
services that they write themselves. Twisted also includes a user
authentication system that controls access to services and provides
services with user context information to implement their own security
models.

This package is just a empty rpm with requires on all twisted sub-modules,
in order to allows smooth upgrade and easy installation of the whole
framework.

%build
cat >  README.mga <<EOF
This package is just a empty rpm with requires on all twisted sub-modules,
in order to allows smooth upgrade and easy installation of the whole
framework.
EOF

%files
%doc README.mga


%changelog
* Tue Oct 22 2013 neoclust <neoclust> 13.1.0-4.mga4
+ Revision: 546302
- Add missing provides

* Tue Oct 22 2013 umeabot <umeabot> 13.1.0-3.mga4
+ Revision: 544363
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 13.1.0-2.mga4
+ Revision: 499580
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 13.1.0-1.mga4
+ Revision: 491851
- Update to 13.1.0

* Sun Jan 13 2013 umeabot <umeabot> 12.2.0-2.mga3
+ Revision: 379586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 philippem <philippem> 12.2.0-1.mga3
+ Revision: 296404
- Update to 12.2.0

  + guillomovitch <guillomovitch>
    - spec cleanup
    - rename distribution-specific documentation file to README.mga

* Wed Nov 23 2011 philippem <philippem> 11.1.0-1.mga2
+ Revision: 171272
- Update to 11.1.0

* Sun Jun 19 2011 kharec <kharec> 11.0.0-1.mga2
+ Revision: 110004
- new version 11.0.0

* Tue Mar 29 2011 ahmad <ahmad> 10.2.0-2.mga1
+ Revision: 78952
- add the pythonegg provides manually as this is a meta package, so the rpm
  pythonegg auto-provides scripts won't work here

* Mon Feb 21 2011 ahmad <ahmad> 10.2.0-1.mga1
+ Revision: 55818
- update to 10.2.0

* Wed Jan 19 2011 erwan <erwan> 10.1.0-2.mga1
+ Revision: 24864
- imported package python-twisted


* Tue Nov 02 2010 Crispin Boylan <crisb@mandriva.org> 10.1.0-2mdv2011.0
+ Revision: 591994
- Rebuild

* Tue Jul 20 2010 Lev Givon <lev@mandriva.org> 10.1.0-1mdv2011.0
+ Revision: 555027
- Update to 10.1.0.

* Thu Mar 04 2010 Lev Givon <lev@mandriva.org> 10.0.0-1mdv2010.1
+ Revision: 514219
- Update to 10.0.0.

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 9.0.0-1mdv2010.1
+ Revision: 485334
- update to new version 9.0.0

* Sat Jan 03 2009 Jérôme Soyer <saispo@mandriva.org> 8.2.0-1mdv2009.1
+ Revision: 323864
- New upstream release

* Fri Jun 13 2008 Michael Scherer <misc@mandriva.org> 8.1.0-1mdv2009.0
+ Revision: 219002
- update to 8.1.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Crispin Boylan <crisb@mandriva.org> 2.5.0-1mdv2008.0
+ Revision: 76791
- Update version, remove deprecated modules twisted,flow and xish

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.0-1mdv2008.0
+ Revision: 55867
- update to new version 2.4.0


* Mon Aug 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0.0-3mdk
- Remove dependency on non existing package

* Sun May 15 2005 Michael Scherer <misc@mandriva.org> 2.0.0-2mdk
- empty pacakge cannot be uploaded, add a doc

* Sun May 15 2005 Michael Scherer <misc@mandriva.org> 2.0.0-1mdk
- package splitted upstream, so empty this one
- update license

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 1.3.0-4mdk
- Rebuild for new python

* Sun Nov 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.0-3mdk
- depend on pyOpenSSL

* Wed Sep 22 2004 Michael Scherer <misc@mandrake.org> 1.3.0-2mdk 
- split the doc from main package
- fix url of source, and remoe unused macro

* Tue Aug 17 2004 Pascal Terjan <pterjan@mandrake.org> 1.3.0-1mdk
- New version

* Thu Apr 08 2004 Pascal Terjan <pterjan@mandrake.org> 1.2.0-1mdk
- New version
- Contains .so so can't be noarch
- BuildRequires python-devel

* Mon Dec 15 2003 Erwan Velu <erwan@mandrakesoft.com> 1.1.1-1mdk
- New version

* Mon Oct 27 2003 Han Boetes <han@linux-mandrake.com> 1.1.0-1mdk
- Bump

* Wed Oct 15 2003 Han Boetes <han@linux-mandrake.com> 1.0.7-1mdk
- Cleaned up the spec
- Changed architecture
- New version
- Known bug: conch doesn't work with openssh-3.7.1

* Wed Sep 17 2003 Han Boetes <han@linux-mandrake.com> 1.0.6-2mdk
- Added pycrypto-dependency. Now we can use conch as well.
- Removed trailing whitespace.

* Sun Aug 24 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0.6-1mdk
- initial Mandrake Linux packaging

